%define	name	sudo
%define	version	1.6.4
%define	release	1.0.6
%define	serial	3

Summary:	Allows command execution as root for specified users.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	BSD
Group:		Applications/System
URL:		http://www.courtesan.com/sudo
Source:		%{name}-%{version}.tar.gz
Source1:	sudoers
Obsoletes:	cu-sudo
BuildRoot:	/var/tmp/%{name}-%{version}

%description
Sudo is a program designed to allow a sysadmin to give limited root
privileges to users and log root activity. The basic philosophy is
to give as few privileges as possible but still allow people to get
their work done.

%prep
%setup -q

%build
[ -x "/bin/vi" ] && VIFLAG="--with--editor=/bin/vi" && export VIFLAG;
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"; export CFLAGS;
./configure --prefix=%{_prefix} \
	    --mandir=$RPM_BUILD_ROOT/%{_mandir} \
	    --with-logging=both \
	    --with-logpath=/var/log/sudo.log \
	    --enable-log-host \
	    --disable-log-wrap \
	    --with-pam \
	    --with-env-editor $VIFLAG

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install

# write over sudoers with ours
install -m440 $RPM_SOURCE_DIR/sudoers $RPM_BUILD_ROOT/etc/sudoers

mkdir -p $RPM_BUILD_ROOT/var/run/sudo
chmod 700 $RPM_BUILD_ROOT/var/run/sudo

# syslog will not create a sudo.log file so we have to do that here
mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/sudo.log
chmod 600 $RPM_BUILD_ROOT/var/log/sudo.log
chown root.root $RPM_BUILD_ROOT/var/log/sudo.log

# Installing sample pam file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m644 sample.pam $RPM_BUILD_ROOT/etc/pam.d/sudo


# Installing logrotated file
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cat <<END >$RPM_BUILD_ROOT/etc/logrotate.d/sudo
/var/log/sudo.log {
    weekly
    compress
}
END

# Gzip man pages.
find $RPM_BUILD_ROOT/usr/share/man -type f -print -exec gzip -9 {} \;


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc BUGS CHANGES FAQ HISTORY INSTALL PORTING README RUNSON TODO
%doc TROUBLESHOOTING UPGRADE sample.sudoers
%attr(0440,root,root) 	%config(noreplace) /etc/sudoers
%attr(0640,root,root)	/etc/logrotate.d/sudo
%attr(0640,root,root) /etc/pam.d/sudo
%attr(4750,root,admin)	/usr/bin/sudo
%attr(0750,root,root)	/usr/sbin/visudo
/usr/share/man/*/*
/var/run/sudo
%attr(0600,root,root)	/var/log/sudo.log

%changelog
* Sun Jan 13 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.6.4, Release 1.0.6
  - New upstream version fixes bug reported on vendor-sec by
    Sebastian Krahmer <krahmer@suse.de>

* Fri Mar 16 2001 Pete O'Hara <pete@guardiandigital.com>
- touched a sudo.log for syslog to write to

* Fri Feb 23 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.6.3p6, Release 1.0.4
  - Updated to p6 to fix buffer overflow.


* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- removed /bin/su from sudoers

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 1.6.3p5
- FHS fixes
- install new sudoers

* Wed Aug 30 2000 Pete O'Hara <pete@guardiandigital.com>
- man pages are FHS compliant

* Mon Jul 10 2000 Pete O'Hara <pete@guardiandigital.com>
- changed default /etc/sudoers for Guardian Digital Lockbox
- removed world execute on /usr/sbin/visudo and world access
	to /etc/pam.d/sudo

* Fri Jul 07 2000 Pete O'Hara <pete@guardiandigital.com>
- remove old cruft

